org.apache.cassandra.db.filter

## Interface ClusteringIndexFilter.InternalDeserializer

- Enclosing interface:
    ClusteringIndexFilter

      public static interface ClusteringIndexFilter.InternalDeserializer

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClusteringIndexFilter` | `deserialize(DataInputPlus in, int version, CFMetaData metadata, boolean reversed)`

- - ### Method Detail

    - #### deserialize

          ClusteringIndexFilter deserialize(DataInputPlus in,
                                            int version,
                                            CFMetaData metadata,
                                            boolean reversed)
                                     throws java.io.IOException

      Throws:
        `java.io.IOException`

Copyright © 2018 The Apache Software Foundation